#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: monad-par
version: 0.3.4.8
id: monad-par-0.3.4.8-KusFSzfQ64ZKb2OBEqXCdc
key: monad-par-0.3.4.8-KusFSzfQ64ZKb2OBEqXCdc
license: BSD-3-Clause
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
author: Simon Marlow, Ryan Newton
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
abi: 6095570c031d4a57972a392fbbb8be5c
exposed: True
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
import-dirs: /usr/lib/ghc-8.4.3/site-local/monad-par-0.3.4.8
library-dirs: /usr/lib/ghc-8.4.3/site-local/monad-par-0.3.4.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/monad-par-0.3.4.8
hs-libraries: HSmonad-par-0.3.4.8-KusFSzfQ64ZKb2OBEqXCdc
depends:
    base-4.11.1.0 abstract-par-0.3.3-Ie3MD7O3orK6ZR8i7FuBEv
    abstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK
    monad-par-extras-0.3.3-9uJPRq6u2G7Dy6khFdWvSf deepseq-1.4.3.0
    array-0.5.2.0 mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t
    containers-0.5.11.0 parallel-3.2.1.1-7VRdiJcVWj8BvjtM2xssyE
    mtl-2.2.2
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             abstract-par-0.3.3-Ie3MD7O3orK6ZR8i7FuBEv=3c7ebe7f8f8a713ba55857a5c0914fc8
             abstract-deque-0.3-LkeWHH7SS5Y83xRhK9EdFK=f725213ec06715c6c02a5895c8d44589
             monad-par-extras-0.3.3-9uJPRq6u2G7Dy6khFdWvSf=44c05c05a526743e07e7892e6c473746
             deepseq-1.4.3.0=34da2d42d10eacba0aad99c95b538637
             array-0.5.2.0=dc85b03ee806d784249cc791da6109c3
             mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t=1ccdcd26e1b55ed9aecc3db0033b07c7
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             parallel-3.2.1.1-7VRdiJcVWj8BvjtM2xssyE=71fbc58d940f1d79d8c382c7209c2ee9
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
haddock-interfaces: /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html: /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

